Bug 1802247 - Bound token controller test flaking due to not waiting for operator readiness
Summary: Bound token controller test flaking due to not waiting for operator readiness
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Maru Newby
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-12 17:38 UTC by Maru Newby
Modified: 2020-05-13 21:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:57:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 763 0 None closed Bug 1802247: Check operator readiness before each bound token controller test 2020-04-17 14:46:59 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:57:55 UTC

Description Maru Newby 2020-02-12 17:38:36 UTC
The TestBoundTokenSignerController/operator-secret-deletion is sometimes failing to succeed within the 10 minute timeout despite running in ~6m outside of CI:

=== RUN   TestBoundTokenSignerController
Found configuration for host https://api.ci-op-k4cwts09-61701.origin-ci-int-aws.dev.rhcloud.com:6443.
ClusterOperator/kube-apiserver: Available: true  Progressing: false  Degraded: false
--- FAIL: TestBoundTokenSignerController (611.45s)
            	Error Trace:	bound_sa_token_test.go:145
            	            				bound_sa_token_test.go:123
            	Error:      	Received unexpected error:
            	            	timed out waiting for the condition
            	Test:       	TestBoundTokenSignerController/operator-secret-deletion

When running tests locally I noticed that the test previous to this one (deletion of config map containing public keys used to verify bound tokens) could also trigger apiserver rollout which would need to complete before the next test should begin.

Comment 2 Xingxing Xia 2020-03-09 11:40:22 UTC
PR is only for test code, not functional code. Moving to next status given MSTR-893 tested working well.

Comment 4 errata-xmlrpc 2020-05-13 21:57:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.